Subject: Re: gimp depends on emacs?
To: None <>
From: Berndt Josef Wulf <>
List: tech-pkg
Date: 05/04/1999 08:13:06
Hubert Feyrer wrote
> On Mon, 3 May 1999, Jim Wise wrote:
> > IMHO, that's not really the issue here.  For every copy of the GIMP
> > built from our package, the content of those files will be identical.
> > Many of don't have emacs installed, and don't want to -- having to
> > install it if the gimp couldn't be built without would be perfectly
> > reasonable, but having to install it in order to dynamically generate
> > two files which we already know what the contents of will be seems...
> > broken.
> You say, why should I install emacs to get two files which I know in
> advance how they look like.
> I say, why not get *all* files that I know in advance how they look like.
> I don't see how this is not the issue here.

This is a childish and not very constructive response which I wouldn't
have expected on this list :(

For those who don't want to download the emacs package here
the procedure to circumvent this:

	1.) comment out line 15 of /usr/pkgsrc/graphics/gimp/Makefile

	    #BUILD_DEPENDS= emacs:../../editors/emacs

	2.) make configure

	3.) touch /usr/pkgsrc/graphics/gimp/work/gimp-1.0.4/docs/pdb_dump.texi

	4.) make

	5.) make install 
	   ignore the 2 warning messages during the registration of
	   the package due to the missing files.

It wouldn't heard to mention this procedure in the README file and have
the users to decide whether it is worth the effort downloading emacs.

cheerio Berndt
Name	: Berndt Josef Wulf
E-Mail	:
Sysinfo	: DEC AXPpci33+, NetBSD-1.3.3